<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcyhal__adc__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cyhal_adc_config_t</compoundname>
    <includes local="no">cyhal_adc.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcyhal__adc__config__t_1a942daebdd7db9f8f38ea3f2d33503b68" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cyhal_adc_config_t::continuous_scanning</definition>
        <argsstring />
        <name>continuous_scanning</name>
        <briefdescription>
<para>Whether the ADC samples continuously (true) or only on demand (false). </para>        </briefdescription>
        <detaileddescription>
<para>When configured to true, the ADC will immediately begin scanning all configured channels. When configured to false, the ADC will stop continuous scanning at the completion of the current scan </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_adc.h" bodystart="164" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_adc.h" line="164" />
      </memberdef>
      <memberdef id="structcyhal__adc__config__t_1a740aed93bab2f9cb2dddfffaaf6bfa73" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cyhal_adc_config_t::resolution</definition>
        <argsstring />
        <name>resolution</name>
        <briefdescription>
<para>ADC resolution. </para>        </briefdescription>
        <detaileddescription>
<para>See the implementation specific documentation for supported values </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_adc.h" bodystart="166" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_adc.h" line="166" />
      </memberdef>
      <memberdef id="structcyhal__adc__config__t_1ad0fa7163680d97b7ffc54dab388870b5" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cyhal_adc_config_t::average_count</definition>
        <argsstring />
        <name>average_count</name>
        <briefdescription>
<para>The number of samples that should be averaged together to obtain a result. </para>        </briefdescription>
        <detaileddescription>
<para>A value of 1 disables averaging. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_adc.h" bodystart="168" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_adc.h" line="168" />
      </memberdef>
      <memberdef id="structcyhal__adc__config__t_1abfefd3f63c086f2ada288bfc6ac5824a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_adc_config_t::average_mode_flags</definition>
        <argsstring />
        <name>average_mode_flags</name>
        <briefdescription>
<para>Flags to control the behavior of the averaging functionality when <ref kindref="member" refid="structcyhal__adc__config__t_1ad0fa7163680d97b7ffc54dab388870b5">average_count</ref> is greater than 1. </para>        </briefdescription>
        <detaileddescription>
<para>This field contains zero or more flags that are OR'd together. All implementations define <ref kindref="member" refid="group__group__hal__adc_1ga989ece649f9a1d7df78b73a0b75abf24">CYHAL_ADC_AVG_MODE_AVERAGE</ref> and <ref kindref="member" refid="group__group__hal__adc_1gaffbef3cc844fa6ff749e8230c6ef6d54">CYHAL_ADC_AVG_MODE_ACCUMULATE</ref> (though some may not support both modes). Some implementations may define other flags to control additional aspects of the averaging functionality; see the implementation-specific documentation for details. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_adc.h" bodystart="175" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_adc.h" line="175" />
      </memberdef>
      <memberdef id="structcyhal__adc__config__t_1a97998569cedf9c1ee8f2e9cf0d199972" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_adc_config_t::ext_vref_mv</definition>
        <argsstring />
        <name>ext_vref_mv</name>
        <briefdescription>
<para>The external voltage reference value, in millivolts. </para>        </briefdescription>
        <detaileddescription>
<para>If vref is set to <ref kindref="member" refid="group__group__hal__adc_1ggad77d58d52432f1f68f869b047b1a9bbea78d9a5640a2866dad2f5e87d356a6c74">CYHAL_ADC_REF_EXTERNAL</ref>, this must be nonzero. If vref is set to anything other than <ref kindref="member" refid="group__group__hal__adc_1ggad77d58d52432f1f68f869b047b1a9bbea78d9a5640a2866dad2f5e87d356a6c74">CYHAL_ADC_REF_EXTERNAL</ref>, this must be zero. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_adc.h" bodystart="180" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_adc.h" line="180" />
      </memberdef>
      <memberdef id="structcyhal__adc__config__t_1a6f3458f47ce11c850cca0685dbfdb3d7" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__adc_1gac9e066ac01bed2c374c3d0e164988d97">cyhal_adc_vneg_t</ref></type>
        <definition>cyhal_adc_vneg_t cyhal_adc_config_t::vneg</definition>
        <argsstring />
        <name>vneg</name>
        <briefdescription>
<para>Vminus selection for single-ended channels. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_adc.h" bodystart="182" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_adc.h" line="182" />
      </memberdef>
      <memberdef id="structcyhal__adc__config__t_1a7ffa068ca4f21088761a9c4a57129055" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__adc_1gad77d58d52432f1f68f869b047b1a9bbe">cyhal_adc_vref_t</ref></type>
        <definition>cyhal_adc_vref_t cyhal_adc_config_t::vref</definition>
        <argsstring />
        <name>vref</name>
        <briefdescription>
<para>ADC voltage reference. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_adc.h" bodystart="184" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_adc.h" line="184" />
      </memberdef>
      <memberdef id="structcyhal__adc__config__t_1a1e330ef5d05f2e0fb824f7060a398fb7" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
        <definition>cyhal_gpio_t cyhal_adc_config_t::ext_vref</definition>
        <argsstring />
        <name>ext_vref</name>
        <briefdescription>
<para>The GPIO that should be used for the external reference. </para>        </briefdescription>
        <detaileddescription>
<para>If <ref kindref="member" refid="group__group__hal__adc_1ggad77d58d52432f1f68f869b047b1a9bbea78d9a5640a2866dad2f5e87d356a6c74">CYHAL_ADC_REF_EXTERNAL</ref> is selected and the current target uses a GPIO for ADC ext_vref (see the BSP documentation), this must not be <ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__04__80__tqfp_1gga43c4aa9a5556b7386cb604f0ab3b242ca3dbd1016ea99d087d747530418b89a01">NC</ref>. If the current target uses a dedicated pin (not a GPIO) for ADC ext_vref, or if any other reference is selected, this must be <ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__04__80__tqfp_1gga43c4aa9a5556b7386cb604f0ab3b242ca3dbd1016ea99d087d747530418b89a01">NC</ref>. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_adc.h" bodystart="190" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_adc.h" line="190" />
      </memberdef>
      <memberdef id="structcyhal__adc__config__t_1a38607f551c7248ff63862d1d8f848578" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cyhal_adc_config_t::is_bypassed</definition>
        <argsstring />
        <name>is_bypassed</name>
        <briefdescription>
<para>Whether an external bypass capacitor should be used. </para>        </briefdescription>
        <detaileddescription>
<para>Depending on the platform this may be required to reduce noise at sufficiently high sample rates. See the implementation specific documentation for details. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_adc.h" bodystart="195" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_adc.h" line="195" />
      </memberdef>
      <memberdef id="structcyhal__adc__config__t_1afce79b08ba62854d108ca34fe649e692" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
        <definition>cyhal_gpio_t cyhal_adc_config_t::bypass_pin</definition>
        <argsstring />
        <name>bypass_pin</name>
        <briefdescription>
<para>The GPIO pin that should be used for the bypass capacitor. </para>        </briefdescription>
        <detaileddescription>
<para>If is_bypassed is true and the current target uses a GPIO for the bypass capacitor connection, this must not be <ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__04__80__tqfp_1gga43c4aa9a5556b7386cb604f0ab3b242ca3dbd1016ea99d087d747530418b89a01">NC</ref>. Otherwise, this must be <ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__04__80__tqfp_1gga43c4aa9a5556b7386cb604f0ab3b242ca3dbd1016ea99d087d747530418b89a01">NC</ref>. Depending on the device, this may be the same GPIO as ext_vref. See the BSP documentation for details. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_adc.h" bodystart="200" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_adc.h" line="200" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>ADC Configuration. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="201" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_adc.h" bodystart="157" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_adc.h" line="158" />
    <listofallmembers>
      <member prot="public" refid="structcyhal__adc__config__t_1ad0fa7163680d97b7ffc54dab388870b5" virt="non-virtual"><scope>cyhal_adc_config_t</scope><name>average_count</name></member>
      <member prot="public" refid="structcyhal__adc__config__t_1abfefd3f63c086f2ada288bfc6ac5824a" virt="non-virtual"><scope>cyhal_adc_config_t</scope><name>average_mode_flags</name></member>
      <member prot="public" refid="structcyhal__adc__config__t_1afce79b08ba62854d108ca34fe649e692" virt="non-virtual"><scope>cyhal_adc_config_t</scope><name>bypass_pin</name></member>
      <member prot="public" refid="structcyhal__adc__config__t_1a942daebdd7db9f8f38ea3f2d33503b68" virt="non-virtual"><scope>cyhal_adc_config_t</scope><name>continuous_scanning</name></member>
      <member prot="public" refid="structcyhal__adc__config__t_1a1e330ef5d05f2e0fb824f7060a398fb7" virt="non-virtual"><scope>cyhal_adc_config_t</scope><name>ext_vref</name></member>
      <member prot="public" refid="structcyhal__adc__config__t_1a97998569cedf9c1ee8f2e9cf0d199972" virt="non-virtual"><scope>cyhal_adc_config_t</scope><name>ext_vref_mv</name></member>
      <member prot="public" refid="structcyhal__adc__config__t_1a38607f551c7248ff63862d1d8f848578" virt="non-virtual"><scope>cyhal_adc_config_t</scope><name>is_bypassed</name></member>
      <member prot="public" refid="structcyhal__adc__config__t_1a740aed93bab2f9cb2dddfffaaf6bfa73" virt="non-virtual"><scope>cyhal_adc_config_t</scope><name>resolution</name></member>
      <member prot="public" refid="structcyhal__adc__config__t_1a6f3458f47ce11c850cca0685dbfdb3d7" virt="non-virtual"><scope>cyhal_adc_config_t</scope><name>vneg</name></member>
      <member prot="public" refid="structcyhal__adc__config__t_1a7ffa068ca4f21088761a9c4a57129055" virt="non-virtual"><scope>cyhal_adc_config_t</scope><name>vref</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>